package cn.ibizlab.r7.runtime.core.r7rt_base.service;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import cn.ibizlab.r7.runtime.core.r7rt_base.domain.UserRoleDataAction;
import cn.ibizlab.r7.runtime.core.r7rt_base.filter.UserRoleDataActionSearchContext;

/**
 * 实体[UserRoleDataAction] 服务对象接口
 */

public interface IUserRoleDataActionService{
     boolean save(UserRoleDataAction userRoleDataAction) ;
     boolean create(UserRoleDataAction userRoleDataAction) ;
     boolean update(UserRoleDataAction userRoleDataAction) ;
     UserRoleDataAction getDraft(UserRoleDataAction userRoleDataAction) ;
     UserRoleDataAction get(String userRoleDataActionId) ;
     UserRoleDataAction get(UserRoleDataAction userRoleDataAction) ;
     boolean checkKey(UserRoleDataAction userRoleDataAction) ;
     boolean remove(String userRoleDataActionId) ;

    /**
     * 查询集合 DEFAULT
     */
    Page<UserRoleDataAction> searchDefault(UserRoleDataActionSearchContext context) ;

    /**
     * 根据数据对象能力查询
     */
     Page<UserRoleDataAction> selectByUserRoleData(String userroledataid) ;
     List<UserRoleDataAction> selectByUserRoleData2(String userroledataid);

}
